Subject: Re: bug#16761: 24.3.50; focus-in-hook not running accurately when frame switches to terminal

From: Eli Zaretskii <[email-masked]>
Date: Sat, 15 Feb 2014 22:39:12 +0200

> Date: Sat, 15 Feb 2014 12:23:56 -0500
> From: Steven Edwards <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> On 2/15/14, Eli Zaretskii <[email-masked]> wrote:
> > How can Emacs get a focus-in event for the terminal frame, when the
> > event is sent by X?  Jan, is this possible with X?
> 
> Interesting.  I wasn't aware those events were sent by X.
> 
> Out of curiosity, then, how does Emacs produce the message indicating
> a terminal frame after I return to an X frame?  It seems like it's
> blocking somewhere.

I think the event is generated by X when you switch to a GUI frame,
and the terminal frame is just indicated as the previous one (since
Emacs does know about its terminal frames).  But I may be mistaken, so
I prefer to hear from Jan on this.